pro disp, data, name, id = id, _EXTRA=_VWBExtra_

  ;; check to see if there is an instance of the display gui running
  if keyword_set(id) then begin
     ;; replace the image in the display widget
     widget_control, id, get_uvalue = dataInfo
     ptr_free,dataInfo.data
     dataMin = min(data)
     dataMax = max(data)
     
     dataInfo.data = ptr_new(data)
     datainfo.min = dataMin
     datainfo.max = dataMax
     dataInfo.displayMin = dataMin
     dataInfo.displayMax = dataMax
     widget_control, id, set_uvalue = dataInfo
     parent = widget_info(id,/parent)
     minSlider = widget_info(parent,FIND_BY_UNAME='minSlider')
     maxSlider = widget_info(parent,FIND_BY_UNAME='maxSlider')
     widget_control,minSlider,set_value=[dataMin,dataMin,dataMax]
     widget_control,maxSlider,set_value=[dataMax,dataMin,dataMax]
  endif else begin
     if (n_elements(data) eq 0) then begin
        if (n_elements(name) eq 0) then begin
           dispWidget, id = id, _EXTRA = _VWBExtra_
        endif else begin
           dispWidget, id = id, name = name, _EXTRA = _VWBExtra_
        endelse
     endif else begin
  	if (n_elements(name) eq 0) then begin
           dispWidget, id = id, data = data, _EXTRA = _VWBExtra_
        endif else begin
           dispWidget, id = id, data = data, name = name, _EXTRA = _VWBExtra_
        endelse
     endelse
  endelse
end
